%define		package	Serializer
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Serializer Component
Name:		php-symfony2-Serializer
Version:	2.7.8
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	7dde36d910d484b5a592f302a492c40b
URL:		http://symfony.com/doc/2.7/components/serializer.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(dom)
Requires:	php(json)
Requires:	php(pcre)
Requires:	php(simplexml)
Requires:	php(spl)
Requires:	php(xml)
Requires:	php-dirs >= 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Serializer Component is meant to be used to turn objects into a
specific format (XML, JSON, Yaml, ...) and the other way around.

%prep
%setup -q -n serializer-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/Serializer
%{php_data_dir}/Symfony/Component/Serializer/*.php
%{php_data_dir}/Symfony/Component/Serializer/Annotation
%{php_data_dir}/Symfony/Component/Serializer/Encoder
%{php_data_dir}/Symfony/Component/Serializer/Exception
%{php_data_dir}/Symfony/Component/Serializer/Mapping
%{php_data_dir}/Symfony/Component/Serializer/NameConverter
%{php_data_dir}/Symfony/Component/Serializer/Normalizer
%changelog
* Tue Jan 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Serializer.git;a=log;h=master

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> f01477c
- up to 2.7.8

* Mon Jan 04 2016 Elan Ruusamäe <glen@delfi.ee> 0d7d2a2
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 183c5ca
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 18b5c9f
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 6099523
- up to 2.7.7; use autoload.php for autoload name

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> de2b579
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 954d0cb
- package new files

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 78e5b0d
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 97b657d
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 54daf10
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 285be43
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 09886d0
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 423242c
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 0814677
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> cf5001d
- more specific url

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> ddf89e8
- initial add. version 2.1.4

